@REM "bootmake pci 41"    - boot ROM bootrom.hex for KS8841 PCI interface.
@REM "bootmake pci 42"    - boot ROM bootrom.hex for KS8842 PCI interface.

@if "%1"=="pci"   goto ks884x_pci
@if "%1"=="isa"   goto ks884x_isa
@goto usage


:ks884x_pci
@if "%2"=="41" goto ks884x_pci_41
@if "%2"=="42" goto ks884x_pci_42
@goto usage


:ks884x_pci_41
REM - make compressed boot ROM for KS8841. 
make clean
@REM - to generated bootrom.bin.
make OS_FLAGS="DEF_VXWORKS" BUS_FLAGS="KS_PCI_BUS" BUS_FLAGS2="KS_PCI" CHIP_FLAGS="DEF_KS8841"  bootrom.hex
copy bootrom.hex bootDir\PCI\ks8841
@goto done

:ks884x_pci_42
REM - make compressed boot ROM for KS8842. 
make clean
@REM - to generated bootrom.bin.
make OS_FLAGS="DEF_VXWORKS" BUS_FLAGS="KS_PCI_BUS" BUS_FLAGS2="KS_PCI" CHIP_FLAGS="DEF_KS8842"  bootrom.hex
copy bootrom.hex bootDir\PCI\ks8842
@goto done


:ks884x_isa
@if "%2"=="41" goto ks884x_isa_41
@if "%2"=="42" goto ks884x_isa_42
@goto usage

:ks884x_isa_41
REM - make compressed boot ROM for KS8841. 
make clean
@REM - to generated bootrom.bin.
make OS_FLAGS="DEF_VXWORKS" BUS_FLAGS="KS_ISA_BUS" BUS_FLAGS2="KS_ISA" CHIP_FLAGS="DEF_KS8841"  bootrom.hex
copy bootrom.hex bootDir\ISA\ks8841
@goto done

:ks884x_isa_42
REM - make compressed boot ROM for KS8842. 
make clean
@REM - to generated bootrom.bin.
make OS_FLAGS="DEF_VXWORKS" BUS_FLAGS="KS_ISA_BUS" BUS_FLAGS2="KS_ISA" CHIP_FLAGS="DEF_KS8842"  bootrom.hex
copy bootrom.hex bootDir\ISA\ks8842
@goto done



:usage
@echo Usage: bootmake [pci / isa] [41 / 42]
@goto done


:done
