/* sysNet.c - template system network initialization */

/* Copyright 1984-2001 Wind River Systems, Inc. */

/*
modification history
--------------------
20Aug04     pcd  added support for Micrel ks884x network controller
01b,30mar01,zl   code cleanup.
01a,11jan01,rsh  written based on yk603/sysNet.c
*/

/*
DESCRIPTION

This library contains board-specific routines for network subsystems.
*/

#if defined (INCLUDE_NETWORK)

/* includes */

#include "vxLib.h"
#include "config.h"
#include "taskLib.h"

 
/******************************************************************************
*
* sysNetHwInit - initialize the network interface
*
* This routine initializes the network hardware to a quiescent state.  It
* does not connect interrupts.
*
* Only polled mode operation is possible after calling this routine.
* Interrupt mode operation is possible after the memory system has been
* initialized and sysNetHwInit2() has been called.
*/

void sysNetHwInit (void)
    {
    }


/******************************************************************************
*
* sysNetHwInit2 - initialize additional features of the network interface
*
* This routine completes initialization needed for interrupt mode operation
* of the network device drivers.  Interrupt handlers can be connected.
* Interrupt or DMA operations can begin.
*/

void sysNetHwInit2 (void)
    {
#ifdef INCLUDE_END

#if defined (INCLUDE_LN_97X_END)
    sysLan97xPciInit ();		/* AMD PCNet-FAST 79X97x device */
#endif /* INCLUDE_LN_97X_END */

#if defined (INCLUDE_KS884X_END)
    sysKs884xPciInit ();		/* Micrel KS884x device */
#endif /* INCLUDE_KS884X_END */

#endif /* INCLUDE_END */
    }

#endif /* INCLUDE_NETWORK */


